## ros-rolling-pendulum-control 0.31.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(pendulum_control)

if(APPLE OR WIN32)
  message(STATUS "The pendulum_control demo is only supported on Linux. Package will not be built.")
  return()
endif()

find_package(ament_cmake REQUIRED)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(rclcpp REQUIRED)
find_package(pendulum_msgs REQUIRED)
find_package(rttest)
find_package(tlsf_cpp)

include_directories(include)

if(NOT rttest_FOUND)
  message(STATUS "rttest not found. pendulum_control package will not be built.")
  return()
endif()

add_executable(pendulum_demo
  src/pendulum_demo.cpp)
ament_target_dependencies(pendulum_demo
  "pendulum_msgs"
  "rclcpp"
  "rttest"
  "tlsf_cpp")

add_executable(pendulum_logger
  src/pendulum_logger.cpp)
ament_target_dependencies(pendulum_logger
  "pendulum_msgs"
  "rclcpp"
  "rttest")

add_executable(pendulum_teleop
  src/pendulum_teleop.cpp)
ament_target_dependencies(pendulum_teleop
  "pendulum_msgs"
  "rclcpp"
  "rttest")

install(TARGETS
  pendulum_demo
  pendulum_logger
  pendulum_teleop
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  find_package(rmw_implementation_cmake REQUIRED)

  set(RCLCPP_DEMO_PENDULUM_LOGGER_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/pendulum_logger")
  set(RCLCPP_DEMO_PENDULUM_DEMO_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/pendulum_demo")
  set(RCLCPP_DEMO_PENDULUM_DEMO_TELEOP_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/pendulum_demo_teleop")
  set(RCLCPP_DEMO_PENDULUM_TELEOP_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/pendulum_teleop")

  get_available_rmw_implementations(rmw_implementations)
  foreach(rmw_implementation ${rmw_implementations})
    # FastRTPS doesn't (yet) support the use of custom allocators, so it will
    # fail this test, which requires that no actual allocation happens during
    # execution.
    set(SKIP_TEST "")
    if(
      ${rmw_implementation} STREQUAL "rmw_fastrtps_cpp" OR
      ${rmw_implementation} STREQUAL "rmw_fastrtps_dynamic_cpp"
    )
      set(SKIP_TEST "SKIP_TEST")
    endif()

    set(RCLCPP_DEMO_PENDULUM_LOGGER_EXECUTABLE "${CMAKE_CURRENT_BINARY_DIR}/pendulum_logger")
    set(RCLCPP_DEMO_PENDULUM_DEMO_EXECUTABLE "${CMAKE_CURRENT_BINARY_DIR}/pendulum_demo")
    set(RCLCPP_DEMO_PENDULUM_TELEOP_EXECUTABLE "${CMAKE_CURRENT_BINARY_DIR}/pendulum_teleop")

    configure_file(
      test/test_pendulum_demo.py.in
      test_pendulum__${rmw_implementation}.py
      @ONLY
    )

    configure_file(
      test/test_pendulum_teleop.py.in
      test_pendulum_teleop__${rmw_implementation}.py
      @ONLY
    )

    configure_file(
      test/execute_with_delay.py
      execute_with_delay.py
    )

    file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/test_pendulum__${rmw_implementation}")
    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_pendulum__${rmw_implementation}.py"
      TARGET test_pendulum__${rmw_implementation}
      TIMEOUT 20
      ENV
      RCL_ASSERT_RMW_ID_MATCHES=${rmw_implementation}
      RMW_IMPLEMENTATION=${rmw_implementation}
      # since the test generates a .csv file in the cwd
      WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/test_pendulum__${rmw_implementation}"
      ${SKIP_TEST}
    )
    if(TEST test_pendulum__${rmw_implementation})
      set_tests_properties(test_pendulum__${rmw_implementation}
        PROPERTIES DEPENDS "test_pendulum__${rmw_implementation} test_pendulum__${rmw_implementation}")
    endif()

    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_pendulum_teleop__${rmw_implementation}.py"
      TARGET test_pendulum_teleop__${rmw_implementation}
      TIMEOUT 20
      ENV
      RCL_ASSERT_RMW_ID_MATCHES=${rmw_implementation}
      RMW_IMPLEMENTATION=${rmw_implementation}
      ${SKIP_TEST}
    )
    if(TEST test_pendulum_teleop__${rmw_implementation})
      set_tests_properties(test_pendulum_teleop__${rmw_implementation}
        PROPERTIES DEPENDS "test_pendulum_teleop__${rmw_implementation} test_pendulum_teleop__${rmw_implementation}")
    endif()
  endforeach()
endif()

ament_package()

## ros-rolling-pendulum-control 0.19.0

=== debian/changelog ===
ros-rolling-pendulum-control (0.19.0-1focal) focal; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-pendulum-control (0.18.0-1focal) focal; urgency=high

  * Remove the malloc_hook from the pendulum_demo. (#544 <https://github.com/ros2/demos/issues/544>)
  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Fix documentation for pendulum_control. (#537 <https://github.com/ros2/demos/issues/537>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-pendulum-control (0.17.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.16.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.15.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 May 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.14.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.13.0-1focal) focal; urgency=high

  * Replace rmw_connext_cpp with rmw_connextdds (#489 <https://github.com/ros2/demos/issues/489>)
  * Contributors: Andrea Sorbini

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.12.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-pendulum-control (0.12.0-1focal) focal; urgency=high

  * Remove ineffective log output (#450 <https://github.com/ros2/demos/issues/450>) (#477 <https://github.com/ros2/demos/issues/477>)
  * Contributors: y-okumura-isp

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-pendulum-control (0.11.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-pendulum-control (0.10.1-1focal) focal; urgency=high

  * Remove deprecated warning (#459 <https://github.com/ros2/demos/issues/459>)
  * Contributors: Anas Abou Allaban

 -- Michael Carroll <michael@openrobotics.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-pendulum-control (0.10.0-1focal) focal; urgency=high

  * Follow API/file name changes (ros2/realtime_support#94 <https://github.com/ros2/realtime_support/issues/94>) (#451 <https://github.com/ros2/demos/issues/451>)
  * Contributors: y-okumura-isp

 -- Michael Carroll <michael@openrobotics.org>  Wed, 17 Jun 2020 07:00:00 -0000

ros-rolling-pendulum-control (0.9.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-pendulum-control (0.9.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-pendulum-control (0.9.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-pendulum-control (0.9.0-1focal) focal; urgency=high

  * avoid new deprecations (#442 <https://github.com/ros2/demos/issues/442>)
  * fix CMake warning about using uninitialized variables (#439 <https://github.com/ros2/demos/issues/439>)
  * Fix pendulum_control tests to use stdout stream. (#430 <https://github.com/ros2/demos/issues/430>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Chris Lalancette, Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-pendulum-control (0.8.4-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-pendulum-control (0.8.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-rolling-pendulum-control (0.8.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-rolling-pendulum-control (0.8.1-1focal) focal; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-pendulum-control (0.8.0-1focal) focal; urgency=high

  * Fixes to pendulum_control demo (#385)
    
    Add asserts to ensure that the latency is never negative
    
    Switch last_sample to int64_t to match new rttest interface
    
    Allow any number of spaces
    
    Make sure to expect the extra newline for the pendulum_demo
    
    Only publish statistics if they are available.
    
    Remove some unused functions from rtt_executor.hpp
  * Fix armhf build warnings (#372 <https://github.com/ros2/demos/issues/372>)
  * Contributors: Chris Lalancette, Prajakta Gokhale

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-pendulum-control (0.7.6-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-pendulum-control
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-launch, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-launch-testing-ros, ros-rolling-pendulum-msgs, ros-rolling-rclcpp, ros-rolling-rmw-implementation-cmake, ros-rolling-ros2run, ros-rolling-rttest, ros-rolling-tlsf-cpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-pendulum-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-pendulum-msgs, ros-rolling-rclcpp, ros-rolling-rttest, ros-rolling-tlsf-cpp, ros-rolling-ros-workspace
Description: Demonstrates ROS 2's realtime capabilities with a simulated inverted pendulum.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-pendulum-control//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-pendulum-control 0.31.1

=== debian/changelog ===
ros-rolling-pendulum-control (0.31.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.31.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.30.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.30.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.29.0-1jammy) jammy; urgency=high

  * [pendulum_control Install targets to project lib (#624 <https://github.com/ros2/demos/issues/624>)
  * Contributors: Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.28.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.28.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.27.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.26.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.24.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.24.0-1jammy) jammy; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-pendulum-control (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-pendulum-control (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-pendulum-control (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-pendulum-control (0.20.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-pendulum-control (0.20.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-pendulum-control (0.19.0-1jammy) jammy; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-pendulum-control (0.18.0-1jammy) jammy; urgency=high

  * Remove the malloc_hook from the pendulum_demo. (#544 <https://github.com/ros2/demos/issues/544>)
  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Fix documentation for pendulum_control. (#537 <https://github.com/ros2/demos/issues/537>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.14.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.14.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.13.0-1jammy) jammy; urgency=high

  * Replace rmw_connext_cpp with rmw_connextdds (#489 <https://github.com/ros2/demos/issues/489>)
  * Contributors: Andrea Sorbini

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.12.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.12.0-1jammy) jammy; urgency=high

  * Remove ineffective log output (#450 <https://github.com/ros2/demos/issues/450>) (#477 <https://github.com/ros2/demos/issues/477>)
  * Contributors: y-okumura-isp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-pendulum-control (0.11.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-pendulum-control (0.10.1-1jammy) jammy; urgency=high

  * Remove deprecated warning (#459 <https://github.com/ros2/demos/issues/459>)
  * Contributors: Anas Abou Allaban



=== debian/control ===
Source: ros-rolling-pendulum-control
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-launch <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-launch-testing-ros <!nocheck>, ros-rolling-pendulum-msgs, ros-rolling-rclcpp, ros-rolling-rmw-implementation-cmake <!nocheck>, ros-rolling-ros2run <!nocheck>, ros-rolling-rttest, ros-rolling-tlsf-cpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-pendulum-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-pendulum-msgs, ros-rolling-rclcpp, ros-rolling-rttest, ros-rolling-tlsf-cpp, ros-rolling-ros-workspace
Description: Demonstrates ROS 2's realtime capabilities with a simulated inverted pendulum.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
